apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: racetrack-database
  namespace: racebooking
spec:
  serviceName: racetrack-database
  selector:
    matchLabels:
      app.kubernetes.io/name: racetrack-database
  replicas: 1
  template:
    metadata:
      labels:
        app.kubernetes.io/name: racetrack-database
    spec:
      terminationGracePeriodSeconds: 10
      containers:
        - name: mysql
          image: mysql:latest
          ports:
            - name: mysql
              containerPort: 3306
              protocol: TCP
          env:
            - name: MYSQL_ROOT_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: database-root-password
                  key: PASSWORD
          volumeMounts:
            - name: racetrack-data
              mountPath: /mnt/data/mysql
  volumeClaimTemplates:
    - metadata:
        name: racetrack-data
      spec:
        storageClassName: standard
        accessModes:
          - ReadWriteOnce
        resources:
          requests:
            storage: 0.5Gi
 
